Subject: [Tsvwg] Re: [sctp performance] english version presentation

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Oct 2004 14:50:21 -0600

Armando,

On Wed, 13 Oct 2004, Armando L. Caro Jr. wrote:

> On Fri, 8 Oct 2004, Brian F. G. Bidulock wrote:
> 
> > Take a look at
> >
> >   http://www.omg.org/news/meetings/workshops/RT_2003_Manual/Presentations/5-4_Thaker_etal.pdf
> >
> > which presents failover results nominal 10ms in test situations similar
> > to your full mesh experiment on slide 35 of your presentation and also
> > show much better 1% packet loss latencies.
> 
> 10ms failover?! Clearly this is a special case network and not operating
> over a WAN.

The presentation details the network and test harness.  I believe it was ethernet
connected directly through the harness.  RTT for the network was substatially below
10ms.  The RTO.Min was set to zero (which with Linux 2.4 timer granularity is 10ms).
I would expect 1ms failovers for 1000Hz kernel clocks.

For a WAN, the experiment would lead one to believe that failover times of one RTT
can be acheived.  10ms should get you across a continent.  100ms should get you around
the planet.  1s, part way to the moon.

I suppose the point is that, when implemented with performance in mind, SCTP at the
transport layer can perform better than many Ethernet bonding solutions at the link
layer.

--brian

> 
> ~armando
> 
> 0--                                              --0
> | Armando L. Caro Jr.  |  Protocol Engineering Lab |
> | www.armandocaro.net  |    University of Delaware |
> 0--                                              --0

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg